#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    int n, k;
    cin >> n >> k;
    int spil[n];
    for(int i=0; i<n; ++i)
        cin >> spil[i];

    for(int i=0; i<n; ++i){
        if(spil[i] == k){
            if(i == (n-1))
                cout << spil[0];
            else
                cout << spil[i+1];
            break;
        }
    }

    return 0;
}